Page MenuHomePhabricator

WikiLove Extension in Tamil Wikipedia
Closed, ResolvedPublic

Description

Hi,
Though Wikilove option available in preference, No Heart icon available in userpage. Then I have noticed no Wikilove extension available in Tamil wikipedia. https://ta.wikipedia.org/wiki/Special:Version
Can you please add to tamil wikipedia? or let me know the procedure to add

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Hi @Neechalkaran, thanks for taking the time to report this. Setting project to Wikimedia-Site-requests, as this request is about configuration of a Wikimedia site. Please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes when requesting such kinds of changes and provide the required info. Thanks!

Do you want us to produces community consensus? As this feature was already available and we noticed the absence of extension recently, can't you fix this without community discussion again? However the issue has been reported in our village pump. please advise on this and help us. Thanks

Though Wikilove option available in preference

Where to see this? Please provide steps / links.

Do you want us to produces community consensus?

See the link I provided.

As this feature was already available

Hmm, that wasn't mentioned before. What makes you think that it was installed at some point?
Is there any reference / links / code changes / ticket about this that you could share?

Checkout this link https://ta.wikipedia.org/wiki/Special:Wikilove for wikilove logs in Tamilwikipedia. We had been using this for past five years. But now when we open user page, we can't see Heart icon. I am not sure if it is because of any css issue?

https://ta.wikipedia.org/wiki/சிறப்பு:Version does not list WikiLove. So there should not be any heart icon as it is not installed.

Checkout this link https://ta.wikipedia.org/wiki/Special:Wikilove for wikilove logs in Tamilwikipedia.

That's a special page, not what I would call a preference. :)

Screenshot from 2021-04-22 10-50-51.png (388×896 px, 90 KB)

I cannot find traces that wmgUseWikiLove was at some point enabled for tawiki in https://noc.wikimedia.org/conf/InitialiseSettings.php.txt (but that doesn't mean that you're wrong, it could mean that my search terms aren't great. :)

These are the wikilove pages so far we refered. We already have community consensus
https://ta.wikipedia.org/wiki/mediawiki:Gadgets-definition
https://ta.wikipedia.org/s/eqf
https://ta.wikipedia.org/s/56ml

Please advise what is required from us? how to enable wikilove.?

Nothing else is required, I guess. If you would like to make this configuration change yourself, please follow https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests and give it a try. Or you wait for someone else to volunteer and write this configuration change.

Thank you. I have made the change at https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/686700
I hope once it is reviewed/merged, We can expect the extension enabled

Change 686700 had a related patch set uploaded (by Aklapper; author: Neechalkaran):

[operations/mediawiki-config@master] Enable WikiLove extension on tawiki

https://gerrit.wikimedia.org/r/686700

Change 686700 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable WikiLove extension on tawiki

https://gerrit.wikimedia.org/r/686700

Mentioned in SAL (#wikimedia-operations) [2021-05-13T23:11:19Z] <thcipriani@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:686700|Enable WikiLove extension on tawiki (T280326)]] (duration: 01m 07s)

Zabe assigned this task to Neechalkaran.
Zabe added a subscriber: Zabe.

Should be live

Urbanecm reopened this task as Open.EditedMay 15 2021, 10:53 PM
Urbanecm added subscribers: thcipriani, Urbanecm.

Mentioned in SAL (#wikimedia-operations) [2021-05-13T23:11:19Z] <thcipriani@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:686700|Enable WikiLove extension on tawiki (T280326)]] (duration: 01m 07s)

@thcipriani Hello Tyler! It sounds you forgot to create the database table for the extension:

wikiadmin@10.64.16.7(tawiki)> describe wikilove_log;
ERROR 1146 (42S02): Table 'tawiki.wikilove_log' doesn't exist

wikiadmin@10.64.32.139(arwiki)> describe wikilove_log;
+---------------------------+----------------+------+-----+---------+----------------+
| Field                     | Type           | Null | Key | Default | Extra          |
+---------------------------+----------------+------+-----+---------+----------------+
| wll_id                    | int(11)        | NO   | PRI | NULL    | auto_increment |
| wll_timestamp             | binary(14)     | NO   | MUL | NULL    |                |
| wll_sender                | int(11)        | NO   | MUL | NULL    |                |
| wll_sender_registration   | binary(14)     | YES  |     | NULL    |                |
| wll_sender_editcount      | int(11)        | YES  |     | NULL    |                |
| wll_receiver              | int(11)        | NO   | MUL | NULL    |                |
| wll_receiver_registration | binary(14)     | YES  |     | NULL    |                |
| wll_receiver_editcount    | int(11)        | YES  |     | NULL    |                |
| wll_type                  | varbinary(64)  | NO   | MUL | NULL    |                |
| wll_subject               | varbinary(255) | NO   |     | NULL    |                |
| wll_message               | blob           | NO   |     | NULL    |                |
| wll_email                 | tinyint(1)     | NO   |     | 0       |                |
+---------------------------+----------------+------+-----+---------+----------------+
12 rows in set (0.00 sec)

I'll do that on Monday, just noting it for future cases :).

Mentioned in SAL (#wikimedia-operations) [2021-05-16T22:45:12Z] <Urbanecm> [urbanecm@mwmaint1002 ~]$ mwscript extensions/WikimediaMaintenance/createExtensionTables.php --wiki=tawiki wikilove # T280326